kernel-shark: Fix warnings from deprecated Qt APIs

Couple of APIs used by KernelShark have been marked as deprecated
in the recent version of Qt. Fix all compilation warnings caused
by the usage of these deprecated APIs.

Link: https://lore.kernel.org/linux-trace-devel/20210727134225.25025-2-y.karadz@gmail.com

Signed-off-by: Yordan Karadzhov (VMware) <y.karadz@gmail.com>
6 files changed